Subject: bug#29412: 27.0.50; dired-toggle-read-only should (at some point!) check that the direcory is writeable

From: Drew Adams <[email-masked]>
Date: Sun, 13 Dec 2020 08:55:36 -0800 (PST)

> >> I've now made `C-c C-q' signal an error if the directory isn't writable
> >> in Emacs 28.
> >
> > I don't feel strongly about this, but I wonder whether
> > that's the right thing to do.  We do NOT do that for
> > files, for example.
> 
> OTOH, displaying a warning might go unnoticed by the user.
> Then maybe better would be to ask a y-or-n question
> whether the user still wants to edit the unwritable buffer.

I disagree.  This should be handled _exactly_ the
same way we handle a buffer for a file that is
read-only.  I see no argument why we should treat
a directory buffer different from a file buffer.

For a file buffer, `C-x C-q' simply echoes:

  "Read-Only mode disabled in current buffer"

That is perfectly clear.

And any attempt to use a subsequent `C-x C-q to
save edit changes should be the time to query a
user for what to do (e.g. confirm saving the
changes or ignore them).

Come up with a good argument why this should be
handled differently from the file-editing case
and we can talk about it.  There are very good
use cases for allowing the _buffer_ to be edited,
regardless of whether the user ultimately wants
such changes applied to disk.